package org.gcube.common.context;

import org.gcube.common.ContextTest;
import org.gcube.common.authorization.library.provider.AccessTokenProvider;
import org.gcube.common.authorization.utils.manager.SecretManager;
import org.gcube.common.authorization.utils.manager.SecretManagerProvider;
import org.junit.Test;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class ContextUtilityTest extends ContextTest {

	@Test
	public void testGetContext() throws Exception {
		SecretManager secretManager = SecretManagerProvider.instance.get();
		String token = secretManager.getCurrentSecretHolder().getSecrets().first().getToken();
		ContextTest.afterClass();
		AccessTokenProvider.instance.set(token);
		ContextUtility.getCurrentContextFullName();
	}
	
}
